Errors Compiling CSICUMPI.PLL during Upgrade (Doc ID 972000.1)

Last updated on SEPTEMBER 06, 2016

Applies to:

Oracle Installed Base - Version 12.0.6 to 12.0.6 [Release 12]
Information in this document applies to any platform.
***Checked for relevance on 02-Jul-2015***


Symptoms

When attempting to apply the Patch 6728000 (RUP 6) to upgrade from 12.0.4 to 12.0.6, the patch attempts to compile the file CSICUMPI.pll and the following error occurs.

Compilation errors on CSXCUMPI_CP_LANGUAGES:
PL/SQL ERROR 201 at line 5, column 5
identifier 'CS_CP_LANGUAGES_PKG.INSERT_ROW' must be declared
PL/SQL ERROR 0 at line 5, column 5
Statement ignored
PL/SQL ERROR 201 at line 46, column 9
identifier 'CS_CP_LANGUAGES_PKG.LOCK_ROW' must be declared
PL/SQL ERROR 0 at line 46, column 9
Statement ignored
PL/SQL ERROR 201 at line 80, column 5
identifier 'CS_CP_LANGUAGES_PKG.UPDATE_ROW' must be declared
PL/SQL ERROR 0 at line 80, column 5
Statement ignored
PL/SQL ERROR 201 at line 111, column 5
identifier 'CS_CP_LANGUAGES_PKG.DELETE_ROW' must be declared
PL/SQL ERROR 0 at line 111, column 5
Statement ignored
Failed to generate library.
FRM-30312: Failed to compile the library.

 

Changes

Applying Patch 6728000 (RUP 6)

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms